import pygame

#Screen resolution and mode
screen_w = 1024 # pixels
screen_h = 768  # pixels
screen_size = (screen_w, screen_h) # (pixels, pixels)

fullscreen  = False

invisible_color = (255, 0, 255) # RGB

# Game speed
framerate  = 60   # fps

# Depth
z_distance = 1000 # miliseconds, too big?
background_z_range = range(100, 200)
foreground_z_range = range(750, 850)
background_z_center = 150
foreground_z_center = 800
z_difference        = foreground_z_center - background_z_center

# Key settings
key_left   = [pygame.K_LEFT, pygame.K_a, pygame.K_z]
key_right  = [pygame.K_RIGHT, pygame.K_d, pygame.K_x]
key_attack = [pygame.K_UP, pygame.K_w, pygame.K_c]

# Player stats
player_speed      = (0.25 * screen_w) / 1000.0 # Pixels/second
player_hitpoints  = 5
player_lives      = 3
player_fire_delay = 200 #miliseconds

player_spritesheet = "heroine.png"

player_w = 128  # pixels
player_h = 128 # pixels
player_size = (player_w, player_h) # (pixels, pixels)

p_animations = {
    "idle"   : ([0], 100),
    "right"  : ([1,2,3,2], 100),
    "left"   : ([4,5,6,5], 100),
    "idle2"  : ([7], 100),
    "right2" : ([8,9,10,9], 100),
    "left2"  : ([11,12,13,12], 100),
    "catch"  : ([14,15,16], 100),
    "attack" : ([17,18,19], 100),
    "hit"    : ([20,21,22,21,20,21,22], 75),
    "dying"  : ([2,2,2], 100),
}

# Archer stats
archer_speed         = (0.1 * screen_w) / 1000.0 # Pixels/second
archer_hitpoints     = 2
archer_fire_delay    = 200
archer_fire_cooldown = 500

archer_spritesheet = "archer.png"

archer_w = 64
archer_h = 64
archer_size = (archer_w, archer_h)

a_animations = {
    "idle"   : ([0,1,2,1], 100),
    "right"  : ([0,1,2,1], 100),
    "left"   : ([0,1,2,1], 100),
    "attack" : ([3,4,5], 100),
    "hit"    : ([6,7,8,7,6,7,8], 75),
    "dying"  : ([9,10,11,12,13], 75),
}

# Missile stats
missile_w = 128
missile_h = 128
missile_sizes = [(int(missile_w*scale/100.0), int(missile_h*scale/100.0)) for scale in range(5, 101, 5)]
print missile_sizes

arrow_damage = 1

# Sprite and character States
state_idle       = 0
state_arrive     = 1
state_walkleft   = 2
state_walkright  = 3
state_attack     = 4
state_get_hit    = 5
state_dying      = 6
state_deleting   = 7
state_catch      = 8
state_idle2      = 9
state_walkleft2  = 10
state_walkright2 = 11
numstates        = 12