#!/usr/bin/env python

import pygame
import lib.sprite
import lib.defs
import lib.graphic
import lib.character
import lib.world
import lib.missile

from os.path import join

def init():
    pygame.init()
    pygame.display.set_mode(lib.defs.screen_size)
    lib.missile.init_missile()
    

def draw_stuff():
    global bg, cstle, player
    bg.draw((0, 0))
    castle.draw((0, 0))
    player.draw()
    
def main():
    init()
    
    bg = lib.graphic.load_image("background.png")
    fg = lib.graphic.load_image("castle.png")
    player = lib.character.Player((1024/2, 600))
    world = lib.world.World(bg, fg, player)
    
    clock = pygame.time.Clock()
    delay = 0
    while True:
        events = pygame.event.get()
        for e in events:
            if e.type == pygame.QUIT:
                return
        keys = pygame.key.get_pressed()
        world.update(delay, keys, events)
        world.draw()
        pygame.display.flip()
        delay = clock.tick(lib.defs.framerate)

main()